﻿#escola-bg {
    margin: 10px 0 0 0;
    padding: 0 0 10px 0;
    width: 100%;
    height: 100%;
    min-height: 100vh;
    background: rgb(125,125,125);
    background: linear-gradient(110deg, #d7d6d6 0%, #ffffff 45%);
}

#div-start {
    position: relative;
    height: 400px;
}

#div-start h2 {
    color: #ba5551;
}

#div-title {
    position: absolute;
    display: flex;
    align-items: end;
    justify-content: center;
    width: 100%;
    height: 90%;
}

.img-estrutura {
    /*-webkit-mask-image:-webkit-gradient(linear, left top, left bottom, from(rgba(0,0,0,1)), to(rgba(0,0,0,0)));*/
    position: absolute;
    mask-image: linear-gradient(0deg, rgba(0,0,0,0), rgba(0,0,0,0.3), rgba(0,0,0,1));
    width: 100%;
    object-fit: cover;
    object-position: top;
    height: 100%;
}

#text-estrutura {
    /*padding-top: 30px;*/
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#text-estrutura p {
    width: 600px;
    max-width: 80vw;
    text-align: justify;
}

#fotos-estrutura {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: start;
    overflow-x: scroll;
    margin-top: 2rem;
    padding: 0 30px 0 30px;
}

#fotos-estrutura img {
    width: 20rem;
    height: 15rem;
    margin: 10px 10px 20px 10px;
    padding: 5px;
    box-shadow: 2px 2px 8px #bbbbbb;
    /*object-fit: cover;*/
    cursor: pointer;
}

#image-view {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    background-color: rgba(0,0,0,0.8);
    overflow: visible;
    width: 100vw;
    height: 100vh;
    padding: 50px;
}

#image-view img {
    max-width: 100%;
    max-height: 100%;
    /*padding: 10px;*/
    pointer-events: none;
    border: solid 5px white;
}

.btn-img {
    position: absolute;
    color: whitesmoke;
    font-size: 4rem;
    cursor: pointer;
    opacity: 0.5;
}

#back-img {
    left: 30px;
}

#next-img {
    right: 30px;
}

#close-img {
    font-size: 2rem;
    right: 30px;
    top: 20px;
}

.no-scroll {
    overflow: hidden;
}